## org.apache.batik.anim.values
Class AnimatableMotionPointValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableMotionPointValue

    public class AnimatableMotionPointValue

extends AnimatableValue

A point value in the animation system from a motion animation.

Field Summary
`protected float` `angle` The rotation angle in radians.
`protected float` `x` The x coordinate.
`protected float` `y` The y coordinate.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` `AnimatableMotionPointValue(AnimationTarget target)` Creates a new, uninitialized AnimatableMotionPointValue.
`` `AnimatableMotionPointValue(AnimationTarget target, float x, float y, float angle)` Creates a new AnimatableMotionPointValue with one x.

Method Summary
`boolean` `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`float` `getAngle()` Returns the rotation angle.
`float` `getX()` Returns the x coordinate.
`float` `getY()` Returns the y coordinate.
`AnimatableValue` `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.
`java.lang.String` `toStringRep()` Returns a string representation of this object.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, getCssText, hasChanged, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    protected float x

  The x coordinate.

### y

    protected float y

  The y coordinate.

### angle

    protected float angle

  The rotation angle in radians.

Constructor Detail

### AnimatableMotionPointValue

    protected AnimatableMotionPointValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableMotionPointValue.

### AnimatableMotionPointValue

    public AnimatableMotionPointValue(AnimationTarget target,
                                      float x,
                                      float y,
                                      float angle)

  Creates a new AnimatableMotionPointValue with one x.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getX

    public float getX()

  Returns the x coordinate.

### getY

    public float getY()

  Returns the y coordinate.

### getAngle

    public float getAngle()

  Returns the rotation angle.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### toStringRep

    public java.lang.String toStringRep()

  Returns a string representation of this object.

  Overrides:
    `toStringRep` in class `AnimatableValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.